%define name pygame
%define version 1.5.3
%define release 2mdk
%{expand:%%define py_ver %(python -V 2>&1| awk '{print $2}'|cut -d. -f1-2)}
%define lib_name_orig lib%{name}
%define lib_major 1.5
%define lib_name %{lib_name_orig}%{lib_major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		http://pygame.seul.org/%{name}-%{version}.tar.bz2
Summary:	Python module for interfacing with the SDL multimedia library
License:	LGPL style
Group:		System/Libraries
URL:		http://pygame.seul.org/
Requires:	SDL >= 1.2.4
BuildRequires:	python-numeric-devel SDL_mixer-devel SDL_image-devel
BuildRequires:	libSDL_ttf-devel libsmpeg0.4-devel libpython2.2-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}

%description
pygame is a Python  wrapper  module  for  the  SDL  multimedia  library,
written by Pete Shinners. It contains python functions and classes  that
will allow you to use SDL's support for playing cdroms, audio and  video
output, and keyboard, mouse and joystick  input.  pygame  also  includes
support for the Numerical Python extension. pygame is the  successor  to
the pySDL wrapper project, written by Mark Baker.

Install pygame if you would like to write or play SDL games  written  in
the python language.

%package doc
Summary: Pygame documentation and example programs
Group: Development/Python
%description doc
pygame is a Python  wrapper  module  for  the  SDL  multimedia  library,
written by Pete Shinners. It contains python functions and classes  that
will allow you to use SDL's support for playing cdroms, audio and  video
output, and keyboard, mouse and joystick  input.  pygame  also  includes
support for Numerical Python extension. pygame is the successor  to  the
pySDL wrapper project, written by Mark Baker.

Install pygame-doc  if  you  need  the  API  documentation  and  example
programs.

%package -n %{lib_name}-devel
Summary: Pygame development headers
Group: Development/Python
%description -n %{lib_name}-devel
pygame is a Python  wrapper  module  for  the  SDL  multimedia  library,
written by Pete Shinners. It contains python functions and classes  that
will allow you to use SDL's support for playing cdroms, audio and  video
output, and keyboard, mouse and joystick  input.  pygame  also  includes
support for Numerical Python extension. pygame is the successor  to  the
pySDL wrapper project, written by Mark Baker.

Install the devel package if you  want  to  build  programs  build  with
pygame.


%prep
%setup -q


%build
python config.py
python setup.py build


%install
python setup.py install --prefix $RPM_BUILD_ROOT/usr


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_libdir}/python%{py_ver}/site-packages/%{name}/*
%doc WHATSNEW readme.txt readme.html

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/python%{py_ver}/%{name}/*

%files doc
%defattr(-,root,root)
%doc docs/
%doc examples/


%changelog
* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.5.3-2mdk
- rebuild

* Wed Sep 04 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.5.3-1mdk
- 1.5.3

* Sat Aug 31 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.5.2-1mdk
- 1.5.2

* Tue Jul 23 2002 Han Boetes <han@mijncomputer.nl> 1.5-1mdk
- Bump
- Spec-cleanups.
- Added missing dependency for libpython-devel

* Thu May 23 2002 Han Boetes <han@mijncomputer.nl> 1.4.9-1mdk
- initial mdk build.

* Tue Jan 29 2002 David Clark
- Packaged 1.4 release.
